> For the complete documentation index, see [llms.txt](https://docs.chord.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.chord.co/chord-oms/chord-oms-overview/cdp-tracking-events.md).

# CDP Tracking Events

## CDP Tracking Events

Chord OMS emits many different tracking events during its operations. These events are sent to Chord CDP where downstream destinations can consume the event for business purposes. For example, email marketing tools like Klayvio or Iterable can consume `Order Completed` events from Chord OMS to trigger an email to the customer with details about their purchase.

Each event includes a standard payload depending on the type of event, however some event types may make small additions or changes to the standard payload. The main difference in the payload will be the name of the event.

Chord OMS does not restrict or filter the emission of any tracking event; all events will be immediately sent to Chord CDP once they are generated. Merchants who wish to prevent some events from reaching some destinations can enable filtering in Chord CDP.

{% hint style="info" %}
The full list of CDP tracking events w/ sample payloads can be found on the [Chord Event Tracking](https://docs.chord.co/chord-event-tracking) page.
{% endhint %}

The tables below list each event type and the specific tracking events emmited for that type. The **Name** column lists the *exact* event name sent to Chord CDP.

## Subscription

| Name                                          | Description                                                                                                                 |
| --------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------- |
| `Subscription Auto Renewed`                   | Emitted when an installment order is successfully completed.                                                                |
| `Subscription Canceled`                       | Emitted when a customer cancels a subscription.                                                                             |
| `Subscription Created`                        | Emitted when a customer completes an order that creates a new subscription.                                                 |
| `Subscription Expired`                        | Emitted when the final installment of a prepaid subscription was processed.                                                 |
| `Subscription Failed`                         | Emitted when an installment order failed for any reason other than due to payment or stock reasons.                         |
| `Subscription Installment Insufficient Stock` | Emitted when an installment order could not be fulfilled because the variant is out of stock.                               |
| `Subscription Paused`                         | Emitted when a customer pauses an active subscriptions.                                                                     |
| `Subscription Payment Failed`                 | Emitted when an installment order could not be completed due to a payment failure (e.g. expired credit card).               |
| `Subscription Reactivated`                    | Emitted when a canceled subscription is reactivated.                                                                        |
| `Subscription Reminder Sent`                  | Emitted when Chord OMS processes a reminder for an upcoming subscription installment.                                       |
| `Subscription Resumed`                        | Emitted when a customer resumes a paused subscription.                                                                      |
| `Subscription Skipped`                        | Emittted when a customer skips a subscription.                                                                              |
| `Subscription Updated`                        | Emitted when a customer modifies a subscription (e.g. changes the actionable date or adds a line item to the subscription). |

### Sample payload

```json
{
	"user_id": 2,
	"event": "Subscription Created",
	"context": {
		"traits": {
			"address": {
				"city": "Oak Lawn",
				"country": "US",
				"postal_code": "11127",
				"state": "IL",
				"street": "123 Fake Street"
			},
			"created_at": "2024-07-23 13:15:27 -0400",
			"email": "test@example.com",
			"phone": "1234567890",
			"name": "Test User",
			"id": "2"
		}
	},
	"properties": {
		"ownership": {
			"store_id": "2",
			"tenant_id": "plant",
			"oms_id": null
		},
		"reason": null,
		"subscription_id": 1,
		"email": "test@example.com",
		"address": {
			"address1": "123 Fake Street",
			"address2": null,
			"city": "Oak Lawn",
			"country": "US",
			"name": "Test User",
			"state": "IL",
			"zipcode": "11127"
		},
		"brand": "plant",
		"id": 1,
		"interval_length": 1,
		"interval_units": "day",
		"actionable_date": "2024-08-10T00:00:00-04:00",
		"products": [
			{
				"brand": "plant",
				"coupon": "",
				"image_url": "https://d1dglrf9v97u7a.cloudfront.net/plant/images/attachments/000/000/006/small/kendal-TW2bfT_tWDI-unsplash.jpg?1720817992",
				"name": "Product 5",
				"one_time": false,
				"option_values": [

				],
				"parts": [

				],
				"position": 1,
				"price": "9.99",
				"product_id": "product-5",
				"quantity": 1,
				"sku": "product-5",
				"url": "https://plant.assembly.dev/ca/eng/product-5",
				"forcasted_assortment_items": null
			}
		],
		"state": "active",
		"payment_method_name": "Stripe",
		"canceled_at": null,
		"canceled_by": null,
		"activated_at": "2024-07-30T14:59:55-04:00",
		"additional_subscriptions_created": {
		}
	}
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.chord.co/chord-oms/chord-oms-overview/cdp-tracking-events.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
